Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 507631 - Review Request: rubygem-rubyzip - Ruby module for reading and writing zip files
Summary: Review Request: rubygem-rubyzip - Ruby module for reading and writing zip files
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2009-06-23 14:48 UTC by Michael Stahnke
Modified: 2009-08-24 15:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-24 15:45:03 UTC


Attachments (Terms of Use)

Description Michael Stahnke 2009-06-23 14:48:25 UTC
Spec URL: http://stahnma.fedorapeople.org/reviews/rubygem-rubyzip.spec
SRPM URL: http://stahnma.fedorapeople.org/reviews/rubygem-rubyzip-0.9.1-1.fc10.src.rpm
Description:
rubyzip is a ruby module for reading and writing zip files

Comment 1 Mamoru TASAKA 2009-06-23 16:10:23 UTC
I will take this one. Instead I will appreciate it if you
would review either of my review requests (bug 506168 or bug 507649,
both are rubygem related)

Comment 2 Mamoru TASAKA 2009-06-23 17:58:44 UTC
Some notes for 0.9.1-1:

* %define -> %global
  - Now Fedora suggests to use %global instead of %define.
    ref:
    https://fedoraproject.org/wiki/Packaging/Ruby#Pure_Ruby_packages
    https://fedoraproject.org/wiki/PackagingDrafts/global_preferred_over_define

* License
  - When it is written as "is distributed under the same license as ruby",
    the license tag should be "GPLv2 or Ruby".

* ruby(abi) Requires
  - All ruby related packages must have "Requires: ruby(abi) = 1.8".
    And for consistency I always recommend to also add
    "BuildRequires: ruby(abi) = 1.8".
    https://fedoraproject.org/wiki/Packaging/Ruby#Ruby_Packaging_Guidelines

* %check
  - As this gem file contains test/ directory, please add %check
    stage and execute some tests.
    ( And for this case, I guess expanding gem file under %_builddir
      at %prep is preferred, ref:
      https://fedoraproject.org/wiki/PackagingDrafts/Gem_expand_stage_change
      also see:
      http://mtasaka.fedorapeople.org/Review_request/rubygem-mocha/rubygem-mocha.spec
    )

* %files
  - As you already defined %geminstdir, please use it also on %files
  - %defattr must be set before writing %doc entry.
  - The directory %geminstdir itself is not owned by this package.

Comment 3 Mamoru TASAKA 2009-07-01 14:22:32 UTC
ping?

Comment 4 Michael Stahnke 2009-07-02 03:28:58 UTC
hi.  I started re-working the spec file to include your recommendations.  %check will be the hardest part.  I will finish tomorrow (US).

Comment 5 Mamoru TASAKA 2009-07-15 18:15:37 UTC
ping again?

Comment 6 Mamoru TASAKA 2009-07-23 16:01:51 UTC
ping again?

Comment 7 Mamoru TASAKA 2009-08-04 17:09:59 UTC
Again ping?

Comment 8 Mamoru TASAKA 2009-08-14 15:38:16 UTC
I will close this bug as NOTABUG if no response from the reporter
is received within ONE WEEK.

Comment 9 Mamoru TASAKA 2009-08-24 15:45:03 UTC
Closing.

If someone want to import this package into Fedora, please
file a new review request and mark this bug as a duplicate
of the new one.

Thank you!


Note You need to log in before you can comment on or make changes to this bug.